[PHP-STORM] Plugin Error: Plugin "NPM Script Runner" is incompatible (supported only in IntelliJ IDEA).

Hello,

By mistake I have installer the NPM Script Runner, I have uninstalled it but now I have the error warning each time I launch PHP-Storm

14:57 Plugin Error: Plugin "NPM Script Runner" is incompatible (supported only in IntelliJ IDEA).

Did somebody knows how to solve this issue?

PHP-Storm Version 2020.1 on OSX

Thank you!

7 comments
Comment actions Permalink

Note: I tried to uninstall PHP Storm (Move to bin + Empty bin = osx) but it keeps throwing the error..

0
Comment actions Permalink

Looks as if the plugin is still there; try deleting ~/Library/Application Support/JetBrains/PhpStorm2020.1/plugins folder - this should remove all custom plugins (if you are using toolbox, the folder is different - smth like ~/Library/Application Support/JetBrains/Toolbox/apps/PhpStorm/...)

2
Comment actions Permalink

@Jean-philippe Maquestiaux

If that was installed as a PhpStorm plugin, then try manually locating that plugin file (or folder) and delete it while IDE is closed.

https://intellij-support.jetbrains.com/hc/en-us/articles/206544519-Directories-used-by-the-IDE-to-store-settings-caches-plugins-and-logs

If it's something different, then I do not know (not a Mac user and have no idea what "NPM Script Runner" is).

0
Comment actions Permalink

Thanks!

Andriy Bazanov: Search in the plugin within PHPStorm, it is proposed when you search NPM. But (after requesting installation) I found out that it is deprecated... https://plugins.jetbrains.com/plugin/10297-npm-script-runner 

"This plugin will be deprecated. The same function is in the nodejs official plugin."

Elena Pogorelova maybe this plugin should be removed as not maintained and declare by the developper as "being deprecated"

Have a nice day!

0
Comment actions Permalink

Same problem here! When open PHPStorm i have the error.

Plugin "NPM Script Runner" is incompatible (supported only in IntelliJ IDEA).

 

The script is not at Installed Plugins. Tried to add and remove again but the error persists.

 

I dont know what to do to resolve this.

 

PHPStorm 2020.1.3 - Ubuntu 20.04 LTS 64-bit

0
Comment actions Permalink

You have to remove the plugins folder manually, as I wrote above

see https://www.jetbrains.com/help/idea/tuning-the-ide.html#plugins-directory for information about the folder location

0
Comment actions Permalink

This works for Ubuntu 20.04
sudo rm ~/.local/share/JetBrains/{product_Jetbrains}/NPM_Script_Runner.jar

0

Please sign in to leave a comment.